cURL
curl --request GET \
--url https://sandbox.zapyd.com/ren/api/v1/payout/limits/{customer_id} \
--header 'X-API-KEY: <api-key>' \
--header 'X-SIGNATURE: <api-key>' \
--header 'X-TIMESTAMP: <api-key>'import requests
url = "https://sandbox.zapyd.com/ren/api/v1/payout/limits/{customer_id}"
headers = {
"X-API-KEY": "<api-key>",
"X-TIMESTAMP": "<api-key>",
"X-SIGNATURE": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'X-API-KEY': '<api-key>',
'X-TIMESTAMP': '<api-key>',
'X-SIGNATURE': '<api-key>'
}
};
fetch('https://sandbox.zapyd.com/ren/api/v1/payout/limits/{customer_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": true,
"message": "Success",
"data": {
"daily_limit": 500000,
"available_limit": 100000,
"payment_method_limits": {
"per_transaction_limit": {
"UPI": 100000,
"IMPS": 100000
},
"total_available_limit": {
"UPI": 100000,
"IMPS": 100000
}
},
"full_limit_reset_timestamp": "2024-03-13T10:00:00Z",
"is_edd_required": false,
"is_limit_increase_available": true
}
}{
"status": false,
"message": "Bad Request",
"err_code": "REQ_FIELD_MISSING",
"errors": {
"customer_id": [
"<string>"
]
},
"data": null
}{
"status": false,
"message": "Internal Server Error",
"data": null,
"err_code": "SYS_INTERNAL_ERROR",
"errors": "Unexpected error occurred. Please try again later."
}Limits and EDD
Payout Limits
Returns a customer’s EDD limits for payouts.
GET
/
ren
/
api
/
v1
/
payout
/
limits
/
{customer_id}
cURL
Payout Limits
| API Status Code | Response | Reason |
|---|---|---|
| 400 | Customer not found or access denied | Customer not found |
| 400 | Customer not found or access denied | Customer does not belong to the organization |
| 500 | Internal Server Error. | Internal Server Error |
Authorizations
API Key for authentication
Current timestamp in seconds since epoch
HMAC SHA256 signature of the request encoded in Base64
Path Parameters
Customer's unique identifier
Response
Payout limits for customer fetched successfully.
Example:
true
Example:
"Success"
Hide child attributes
Hide child attributes
Daily payout limit of the user (In FIAT)
Example:
500000
Currently available payout limit of the user (In FIAT)
Example:
100000
Timestamp at which full daily limit is available next
Example:
"2024-03-13T10:00:00Z"
Is EDD required for the customer before further payouts are processed?
Example:
false
Can user perform EDD to increase their limits?
Example:
true